org.apache.solr.search.facet

## Enum FacetRequest.SortDirection

- java.lang.Object
- - java.lang.Enum<FacetRequest.SortDirection>
  - - org.apache.solr.search.facet.FacetRequest.SortDirection

- All Implemented Interfaces:
    Serializable, Comparable<FacetRequest.SortDirection>
  Enclosing class:
    FacetRequest

      public static enum FacetRequest.SortDirection
      extends Enum<FacetRequest.SortDirection>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `asc`
    `desc`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMultiplier()`
    `static FacetRequest.SortDirection` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FacetRequest.SortDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### asc

          public static final FacetRequest.SortDirection asc

    - #### desc

          public static final FacetRequest.SortDirection desc

  - ### Method Detail

    - #### values

          public static FacetRequest.SortDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FacetRequest.SortDirection c : FacetRequest.SortDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FacetRequest.SortDirection valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getMultiplier

          public int getMultiplier()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.